Page MenuHomePhabricator

Require manifest_version to be set in extension.json
Closed, ResolvedPublic

Description

			if ( !isset( $info['manifest_version'] ) ) {
				// For backwards-compatability, assume a version of 1
				$info['manifest_version'] = 1;
			}

First, emit a deprecation warning in 1.29 if it's not set, and require it by 1.30 or 1.31.

Event Timeline

Legoktm created this task.Jan 18 2017, 5:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 5:14 AM
Legoktm claimed this task.May 4 2017, 7:24 PM

I thought this would be easy, but we can't just stick a wfDeprecated there because that code path is only called on read, so once it's cached it won't get called again until the cache expires, which will make it pretty annoying and hard for sysadmins to debug.

demon added a subscriber: demon.May 9 2017, 8:22 PM

I thought this would be easy, but we can't just stick a wfDeprecated there because that code path is only called on read, so once it's cached it won't get called again until the cache expires, which will make it pretty annoying and hard for sysadmins to debug.

Could you skip caching of a particular extension?

Change 353930 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] registration: Deprecate not having manifest_version set

https://gerrit.wikimedia.org/r/353930

Could you skip caching of a particular extension?

Not exactly, but I just disabled caching if we emitted warnings. I think thats reasonable given that most extensions have already been updated.

Change 353930 merged by jenkins-bot:
[mediawiki/core@master] registration: Deprecate not having manifest_version set

https://gerrit.wikimedia.org/r/353930

Change 353943 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_29] registration: Deprecate not having manifest_version set

https://gerrit.wikimedia.org/r/353943

Change 353943 merged by jenkins-bot:
[mediawiki/core@REL1_29] registration: Deprecate not having manifest_version set

https://gerrit.wikimedia.org/r/353943

Legoktm closed this task as Resolved.May 16 2017, 5:50 PM